
QGIS Application - Bug report #18892

Scale jump from mouse tremor

2018-05-01 10:30 PM - Garth Fletcher

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.0.2 Regression?: No

Operating System: Mac OS X 10.12.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26724

Description

Previously reported for 2.18.15 but closed as having been fixed for QGIS 3, but unfortunately has not been fixed.

When clicking on the map with the zoom (magnifying glass) tools the slightest inadvertent movement of the mouse while pressed causes

the scale factor to jump - e.g., from 1:1,000 to 1:1,000,000 (zoom out tool) or to 1:10 (zoom in tool).

Apparently the smallest movement is interpreted as a request to adjust scale. This is much too "sensitive" and frequently results in large

scale jumps from very small hand trembles.

Also occurs in QGIS 3.0.0 and 3.0.1 (and 2.18.15).

This could be avoided by requiring some minimum movement size (perhaps 10x10 pixels) before interpreting the movement as a request

to rescale rather than just a normal zoom in or out command.

Also, while being able to select a portion of the map to be rescaled to fit the window using the zoom in tool, I don't understand the logic of

the zoom out tool in which selecting a small part of the map causes it to zoom out to a much larger scale? Perhaps this feature should only

be implemented for the zoom in tool?

Related issues:

Related to QGIS Application - Bug report # 18002: Scale jumps from mouse tremor Closed 2018-01-30

Associated revisions

Revision b3e52633 - 2018-10-19 10:33 PM - Denis Rouzaud

[fix #18892] avoid high jumps by setting a minimum pixel size for rect in map tool zoom

History

#1 - 2018-05-02 01:31 PM - Jürgen Fischer

- Related to Bug report #18002: Scale jumps from mouse tremor added

#2 - 2018-10-17 07:14 PM - Denis Rouzaud

- Category changed from Map Tools to mac_os_specific

#3 - 2018-10-19 08:02 PM - Denis Rouzaud

I am not able to reproduce.

Can you describe precise steps on what to do?

Are you using the trackpad or a mouse?
#4 - 2018-10-19 08:03 PM - Denis Rouzaud

- Status changed from Open to Feedback

#5 - 2018-10-19 08:26 PM - Garth Fletcher

To replicate:

 open any project, set scale to, say, 1:40,000

 select + zoom tool

 using mouse

   click down in map canvas

   then drag mouse a very very small distance

   then release

 notice that scaling has jumped by a huge amount, e.g., to 1:100

This occurs frequently due to inadvertent mouse movements ("hand tremor")

  and perhaps also due to mouse digitizing jitter (sometimes I'm pretty

  sure that I did not actually move the mouse).

The same problem occurs when using the - zoom tool, except in that case

the scale factor jumps to a huge value, e.g., 1:10,000,000

The easy solution is to require some minimum mouse displacement - say 10 screen

pixels in either axis - before accepting the movement as a request to zoom.

Environment (for reference):

  Mac OS X 10.12.6 

    on Mac mini (Mid 2011) 2.3 GHz Intel Core i5, 8 GB 1600 MHz DDR3 RAM

  QGIS version  3.2.3-Bonn

    QGIS code branch  Release 3.2

    Compiled against Qt  5.9.6

    Running against Qt  5.9.6

    Compiled against GDAL/OGR  2.2.4

    Running against GDAL/OGR  2.2.4

    Compiled against GEOS  3.6.3-CAPI-1.10.3

    Running against GEOS  3.6.2-CAPI-1.10.2 4d2925d6

    PostgreSQL Client Version  9.4.19

    SpatiaLite Version  4.4.0-RC0

    QWT Version  6.1.3

    QScintilla2 Version  2.10.7

    PROJ.4 Version  493

#6 - 2018-10-19 10:36 PM - Denis Rouzaud

PR on its way

both things should be fixed

see https://github.com/qgis/QGIS/pull/8247

#7 - 2018-10-19 11:32 PM - Garth Fletcher

Thank you! Much appreciated.
#8 - 2018-10-21 04:44 AM - Denis Rouzaud

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|b3e526338b8924f0beb81ca611cb4e2d3637c258.
